int init_ti_parallel(int lpt_base);
int probe_parallel(int lpt_base);
int put_ti_parallel(int lpt_base, unsigned char data);
int get_ti_parallel(int lpt_base);

int init_ti_serial(int com_base);
int probe_serial(int com_base);
int put_ti_serial(int com_base, unsigned char data);
int get_ti_serial(int com_base);

#ifndef __TI__ 
#define __TI__

#define TIMAXTIME 100000
#define TIBUFSIZE 8192
#define IO_DELAY 3

#define TI_MAJOR 60
#define TI_MINOR_0   0
#define TI_MINOR_1   1
#define TI_MINOR_P0  8
#define TI_MINOR_P1  9
#define TI_MINOR_P2 10
#define TI_MINOR_S0 16
#define TI_MINOR_S1 17
#define TI_MINOR_S2 18
#define TI_MINOR_S3 19

#endif /* __TI__ */
